Bug 1220294 - Disable SSE on all affected architectures
Summary: Disable SSE on all affected architectures
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lv2-fabla
Version: 23
Hardware: aarch64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brendan Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ZedoraTracker PPCTracker ARM64, F-ExcludeArch-aarch64 F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2015-05-11 08:53 UTC by Marcin Juszkiewicz
Modified: 2015-11-27 11:38 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-11-27 11:38:23 UTC


Attachments (Terms of Use)
spec change (446 bytes, text/plain)
2015-05-11 08:53 UTC, Marcin Juszkiewicz
no flags Details

Description Marcin Juszkiewicz 2015-05-11 08:53:18 UTC
Created attachment 1024133 [details]
spec change

Description of problem:

lv2-fabla code has SSE hardcoded in cmake files. Spec removes that for ARM architecture. But there are other archs too...

Version-Release number of selected component (if applicable):

1.3-0.1.20150303gitcfbd4b3.fc23

How reproducible:

always

Steps to Reproduce:
1. do build on any secondary arch (arm-koji, ppc-koji, s390-koji)

Actual results:

fail

Expected results:

builds

Additional info:

Comment 1 Marcin Juszkiewicz 2015-05-11 08:54:36 UTC
Same change is needed for lv2-artyfx-plugins

Comment 2 Jan Kurik 2015-07-15 14:10:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 3 Marcin Juszkiewicz 2015-07-19 20:24:13 UTC
Package is still broken on secondary architectures as it still assumes that all architectures other than ARM (32-bit) can handle SSE instructions.

Please take a look at proposed changes again and remove use of SSE for all architectures EXCEPT x86(-64) ones.

Comment 4 Marcin Juszkiewicz 2015-11-27 11:38:23 UTC
pushed fixes to rawhide


Note You need to log in before you can comment on or make changes to this bug.